VSTGUI: IViewFactoryEditingSupport Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
IViewFactoryEditingSupport Class Referenceabstract

`#include <iviewfactory.h>`

Inheritance diagram for IViewFactoryEditingSupport:

## Public Types
using | StringPtrList = std::list<const std::string*>
using | StringList = std::list<std::string>
using | ViewAndDisplayNameList = std::list<std::pair<const std::string*, const std::string>>

## Public Member Functions
virtual | ~IViewFactoryEditingSupport () noexcept=default
virtual bool | getAttributeNamesForView (CView *view, StringList &attributeNames) const =0
virtual IViewCreator::AttrType | getAttributeType (CView *view, const std::string &attributeName) const =0
virtual void | collectRegisteredViewNames (StringPtrList &viewNames, IdStringPtr baseClassNameFilter=nullptr) const =0
virtual bool | getAttributesForView (CView *view, const IUIDescription *desc, UIAttributes &attr) const =0
virtual bool | getPossibleAttributeListValues (CView *view, const std::string &attributeName, StringPtrList &values) const =0
virtual bool | getAttributeValueRange (CView *view, const std::string &attributeName, double &minValue, double &maxValue) const =0
virtual ViewAndDisplayNameList | collectRegisteredViewAndDisplayNames (IdStringPtr baseClassNameFilter=nullptr) const =0
virtual UTF8StringPtr | getViewDisplayName (CView *view) const =0

## Member Typedef Documentation

## ◆ StringList

using StringList = std::list<std::string>

## ◆ StringPtrList

using StringPtrList = std::list<const std::string*>

## ◆ ViewAndDisplayNameList

using ViewAndDisplayNameList = std::list<std::pair<const std::string*, const std::string>>

## Constructor & Destructor Documentation

## ◆ ~IViewFactoryEditingSupport()

virtual ~IViewFactoryEditingSupport | ( |  | ) |
| virtualdefaultnoexcept

## Member Function Documentation

## ◆ collectRegisteredViewAndDisplayNames()

virtual ViewAndDisplayNameList collectRegisteredViewAndDisplayNames | ( | IdStringPtr | baseClassNameFilter = nullptr | ) | const
| pure virtual

Implemented in ViewFactoryDelegate.

## ◆ collectRegisteredViewNames()

virtual void collectRegisteredViewNames | ( | StringPtrList & | viewNames,
|  | IdStringPtr | baseClassNameFilter = nullptr ) const
| pure virtual

Implemented in ViewFactoryDelegate.

## ◆ getAttributeNamesForView()

virtual bool getAttributeNamesForView | ( | CView * | view,
|  | StringList & | attributeNames ) const
| pure virtual

Implemented in ViewFactoryDelegate.

## ◆ getAttributesForView()

virtual bool getAttributesForView | ( | CView * | view,
|  | const IUIDescription * | desc,
|  | UIAttributes & | attr ) const
| pure virtual

Implemented in ViewFactoryDelegate.

## ◆ getAttributeType()

virtual IViewCreator::AttrType getAttributeType | ( | CView * | view,
|  | const std::string & | attributeName ) const
| pure virtual

Implemented in ViewFactoryDelegate.

## ◆ getAttributeValueRange()

virtual bool getAttributeValueRange | ( | CView * | view,
|  | const std::string & | attributeName,
|  | double & | minValue,
|  | double & | maxValue ) const
| pure virtual

Implemented in ViewFactoryDelegate.

## ◆ getPossibleAttributeListValues()

virtual bool getPossibleAttributeListValues | ( | CView * | view,
|  | const std::string & | attributeName,
|  | StringPtrList & | values ) const
| pure virtual

Implemented in ViewFactoryDelegate.

## ◆ getViewDisplayName()

virtual UTF8StringPtr getViewDisplayName | ( | CView * | view | ) | const
| pure virtual

Implemented in ViewFactoryDelegate.

The documentation for this class was generated from the following file:

- iviewfactory.h